PAM_SAMEUID(8)

NAME
pam_sameuid - Permit if PAM_USER is the same as the current user

SYNOPSIS

pam_sameuid.so [debug]

DESCRIPTION

The pam_sameuid is a PAM module that permit access if PAM_USER is the same as the current user.

OPTIONS

debug
    Write a message to syslog indicating success or failure.

MODULE TYPES PROVIDED

The auth and account module types are provided.

RETURN VALUES

PAM_USER_UNKNOWN
    User not known.

PAM_SERVICE_ERR
    Cannot determine the user name.

PAM_IGNORE
    PAM_USER is not the same as the current user.

PAM_SUCCESS
    PAM_USER is the same as the current user.

SEE ALSO

pam.conf(5), pam.d(5), pam(8)

AUTHOR

pam_sameuid was written by Dmitry V. Levin <ldv@altlinux.org>.